#include <bits/stdc++.h>

using namespace std;


int main()
{
	string t,s;
	cin>>t>>s;
	char c=' ';
	int r=0,l1=s.length(),l2=t.length(); 
	for(int i=0;i<l1;i++)
	{
		int k=0;
		for(int j=0;j<l2;j++)
		{
			if(t[j]==s[i])k++;
		}
		if(c==' ' || k<r)
		{
			c=s[i];
			r=k;
		}
	}
	for(int i=0;i<l2;i++)
	{
		if(t[i]==c)t[i]='*';
	}
	cout<<t<<endl;
}